package Irpg::Classes::Rookie;

use strict;
use warnings;
use Irpg::Classes::Burly;
our @ISA = qw(Irpg::Classes::Burly);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'str'} + $pl_stats->{'con'} < 7) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Rookie';
	$self->{MOD_STR} = 1.2;
	$self->{MOD_CON} = 1.2;
	return $self;
}

1;
