package Irpg::Classes::Sneaky;

use strict;
use warnings;
use Irpg::Classes::Shrewd;
our @ISA = qw(Irpg::Classes::Shrewd);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'cha'} + $pl_stats->{'dex'} < 7) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Sneaky';
	$self->{MOD_CHA} = 1.2;
	$self->{MOD_DEX} = 1.2;
	return $self;
}

1;
