package Irpg::Classes::Thief;

use strict;
use warnings;
use Irpg::Classes::Cunning;
our @ISA = qw(Irpg::Classes::Cunning);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'cha'} + $pl_stats->{'dex'} < 12) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Thief';
	$self->{MOD_DEX} = 1.5;
	return $self;
}

1;
