package Irpg::Classes::Educated;

use strict;
use warnings;
use Irpg::Classes::Farmer;
our @ISA = qw(Irpg::Classes::Farmer);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'int'} + $pl_stats->{'wis'} < 5) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Educated';
	$self->{MOD_WIS} = 1.1;
	$self->{MOD_INT} = 1.1;
	return $self;
}

1;
