package Irpg::Classes::Fighter;

use strict;
use warnings;
use Irpg::Classes::Rookie;
our @ISA = qw(Irpg::Classes::Rookie);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'str'} + $pl_stats->{'con'} < 10) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Fighter';
	$self->{MOD_STR} = 1.3;
	$self->{MOD_CON} = 1.3;
	return $self;
}

1;
