package Irpg::Classes::Tribe_Chief;

use strict;
use warnings;
use Irpg::Classes::Barbarian;
our @ISA = qw(Irpg::Classes::Barbarian);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'str'} < 16) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Tribe Chief';
	$self->{MOD_STR} = 1.8;
	$self->{MOD_CON} = 1.2;
	return $self;
}

1;
